javax.media.opengl

## Interface GL2ES3

- All Superinterfaces:
    GL, GL2ES2, GLBase
  All Known Subinterfaces:
    GL2, GL2GL3, GL3, GL3bc, GL3ES3, GL4, GL4bc, GL4ES3, GLES3
  All Known Implementing Classes:
    DebugGL2, DebugGL3, DebugGL3bc, DebugGL4, DebugGL4bc, DebugGLES2, DebugGLES3, TraceGL2, TraceGL3, TraceGL3bc, TraceGL4, TraceGL4bc, TraceGLES2, TraceGLES3

      public interface GL2ES3
      extends GL2ES2

  Interface containing the common subset of core GL2 and GLES3 (OpenGL ES 3.0).
  This interface reflects only the programmable shader functionality of desktop and embedded OpenGL
  This interface is not GLES3 complete and merely exist to avoid duplicated definitions.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_ACTIVE_UNIFORM_BLOCKS` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_ALL_BARRIER_BITS` Part of `GL_ARB_shader_image_load_store`
    `static int` | `GL_BLUE` Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`
    `static int` | `GL_BUFFER_ACCESS_FLAGS` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_BUFFER_MAP_LENGTH` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_BUFFER_MAP_OFFSET` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_COLOR` Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_10x10_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_10x5_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_10x6_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_10x8_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_12x10_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_12x12_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_4x4_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_5x4_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_5x5_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_6x5_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_6x6_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_8x5_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_8x6_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_8x8_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COPY_READ_BUFFER` Part of `GL_ES_VERSION_3_0`, `GL_ARB_copy_buffer`, `GL_VERSION_3_1`
    `static int` | `GL_COPY_READ_BUFFER_BINDING` Part of `GL_ES_VERSION_3_0`, `GL_ARB_copy_buffer`
    `static int` | `GL_COPY_WRITE_BUFFER` Part of `GL_ES_VERSION_3_0`, `GL_ARB_copy_buffer`, `GL_VERSION_3_1`
    `static int` | `GL_COPY_WRITE_BUFFER_BINDING` Part of `GL_ES_VERSION_3_0`, `GL_ARB_copy_buffer`
    `static int` | `GL_DEPTH` Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`
    `static int` | `GL_DEPTH_COMPONENT32F` Part of `GL_ARB_depth_buffer_float`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_DEPTH_STENCIL_ATTACHMENT` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_DEPTH32F_STENCIL8` Part of `GL_ARB_depth_buffer_float`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_DRAW_FRAMEBUFFER` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_framebuffer_blit`
    `static int` | `GL_DRAW_FRAMEBUFFER_BINDING` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_framebuffer_blit`
    `static int` | `GL_DYNAMIC_COPY` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`
    `static int` | `GL_DYNAMIC_READ` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`
    `static int` | `GL_FLOAT_32_UNSIGNED_INT_24_8_REV` Part of `GL_ARB_depth_buffer_float`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_FLOAT_MAT2x3` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `static int` | `GL_FLOAT_MAT2x4` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `static int` | `GL_FLOAT_MAT3x2` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `static int` | `GL_FLOAT_MAT3x4` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `static int` | `GL_FLOAT_MAT4x2` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `static int` | `GL_FLOAT_MAT4x3` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `static int` | `GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_FRAMEBUFFER_DEFAULT` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_FRAMEBUFFER_UNDEFINED` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_GREEN` Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`
    `static int` | `GL_INT_SAMPLER_2D` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `static int` | `GL_INT_SAMPLER_2D_ARRAY` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `static int` | `GL_INT_SAMPLER_3D` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `static int` | `GL_INT_SAMPLER_CUBE` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `static int` | `GL_INTERLEAVED_ATTRIBS` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_INVALID_INDEX` Part of `GL_ARB_uniform_buffer_object`
    `static int` | `GL_MAJOR_VERSION` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_MAX` Part of `GL_ES_VERSION_3_0`, `GL_ARB_imaging`
    `static int` | `GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_MAX_COMBINED_UNIFORM_BLOCKS` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_MAX_ELEMENTS_INDICES` Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`
    `static int` | `GL_MAX_ELEMENTS_VERTICES` Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`
    `static int` | `GL_MAX_FRAGMENT_UNIFORM_BLOCKS` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_MAX_FRAGMENT_UNIFORM_COMPONENTS` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`
    `static int` | `GL_MAX_PROGRAM_TEXEL_OFFSET` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_MAX_SAMPLES` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_MAX_TEXTURE_LOD_BIAS` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_4`
    `static int` | `GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_MAX_UNIFORM_BLOCK_SIZE` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_MAX_UNIFORM_BUFFER_BINDINGS` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_MAX_VARYING_COMPONENTS` Part of `GL_ES_VERSION_3_0`, `GL_ARB_geometry_shader4`, `GL_VERSION_3_0`
    `static int` | `GL_MAX_VERTEX_UNIFORM_BLOCKS` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_MAX_VERTEX_UNIFORM_COMPONENTS` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`
    `static int` | `GL_MIN` Part of `GL_ES_VERSION_3_0`, `GL_ARB_imaging`
    `static int` | `GL_MIN_PROGRAM_TEXEL_OFFSET` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_MINOR_VERSION` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_NUM_EXTENSIONS` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_PACK_ROW_LENGTH` Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`
    `static int` | `GL_PACK_SKIP_PIXELS` Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`
    `static int` | `GL_PACK_SKIP_ROWS` Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`
    `static int` | `GL_PIXEL_PACK_BUFFER` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `static int` | `GL_PIXEL_PACK_BUFFER_BINDING` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `static int` | `GL_PIXEL_UNPACK_BUFFER` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `static int` | `GL_PIXEL_UNPACK_BUFFER_BINDING` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `static int` | `GL_R16I` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
    `static int` | `GL_R16UI` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
    `static int` | `GL_R32I` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
    `static int` | `GL_R32UI` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
    `static int` | `GL_R8_SNORM` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_1`
    `static int` | `GL_R8I` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
    `static int` | `GL_R8UI` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
    `static int` | `GL_RASTERIZER_DISCARD` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_READ_BUFFER` Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`
    `static int` | `GL_READ_FRAMEBUFFER` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_framebuffer_blit`
    `static int` | `GL_READ_FRAMEBUFFER_BINDING` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_framebuffer_blit`
    `static int` | `GL_RED_INTEGER` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `static int` | `GL_RENDERBUFFER_SAMPLES` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_RG_INTEGER` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
    `static int` | `GL_RG16I` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
    `static int` | `GL_RG16UI` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
    `static int` | `GL_RG32I` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
    `static int` | `GL_RG32UI` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
    `static int` | `GL_RG8_SNORM` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_1`
    `static int` | `GL_RG8I` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
    `static int` | `GL_RG8UI` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
    `static int` | `GL_RGB_INTEGER` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `static int` | `GL_RGB16I` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `static int` | `GL_RGB16UI` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `static int` | `GL_RGB32I` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `static int` | `GL_RGB32UI` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `static int` | `GL_RGB8_SNORM` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_1`
    `static int` | `GL_RGB8I` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `static int` | `GL_RGB8UI` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `static int` | `GL_RGB9_E5` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_shared_exponent`
    `static int` | `GL_RGBA_INTEGER` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `static int` | `GL_RGBA16I` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `static int` | `GL_RGBA16UI` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `static int` | `GL_RGBA32I` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `static int` | `GL_RGBA32UI` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `static int` | `GL_RGBA8_SNORM` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_1`
    `static int` | `GL_RGBA8I` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `static int` | `GL_RGBA8UI` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `static int` | `GL_SAMPLER_2D_ARRAY_SHADOW` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `static int` | `GL_SAMPLER_CUBE_SHADOW` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `static int` | `GL_SEPARATE_ATTRIBS` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_SIGNED_NORMALIZED` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_1`
    `static int` | `GL_SRGB8` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `static int` | `GL_STATIC_COPY` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`
    `static int` | `GL_STATIC_READ` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`
    `static int` | `GL_STENCIL` Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`
    `static int` | `GL_STREAM_COPY` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`
    `static int` | `GL_STREAM_READ` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`
    `static int` | `GL_TEXTURE_BASE_LEVEL` Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`
    `static int` | `GL_TEXTURE_MAX_LEVEL` Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`
    `static int` | `GL_TEXTURE_MAX_LOD` Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`
    `static int` | `GL_TEXTURE_MIN_LOD` Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`
    `static long` | `GL_TIMEOUT_IGNORED` Part of `GL_ARB_sync`
    `static int` | `GL_TRANSFORM_FEEDBACK_ACTIVE` Part of `GL_ES_VERSION_3_0`, `GL_ARB_transform_feedback2`
    `static int` | `GL_TRANSFORM_FEEDBACK_BUFFER` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_TRANSFORM_FEEDBACK_BUFFER_BINDING` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_TRANSFORM_FEEDBACK_BUFFER_MODE` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_TRANSFORM_FEEDBACK_BUFFER_SIZE` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_TRANSFORM_FEEDBACK_BUFFER_START` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_TRANSFORM_FEEDBACK_PAUSED` Part of `GL_ES_VERSION_3_0`, `GL_ARB_transform_feedback2`
    `static int` | `GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_TRANSFORM_FEEDBACK_VARYINGS` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `static int` | `GL_UNIFORM_ARRAY_STRIDE` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_UNIFORM_BLOCK_BINDING` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_UNIFORM_BLOCK_DATA_SIZE` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_UNIFORM_BLOCK_INDEX` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_UNIFORM_BLOCK_NAME_LENGTH` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_UNIFORM_BUFFER` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_UNIFORM_BUFFER_BINDING` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_UNIFORM_BUFFER_SIZE` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_UNIFORM_BUFFER_START` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_UNIFORM_IS_ROW_MAJOR` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_UNIFORM_MATRIX_STRIDE` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_UNIFORM_NAME_LENGTH` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_UNIFORM_OFFSET` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_UNIFORM_SIZE` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_UNIFORM_TYPE` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `static int` | `GL_UNPACK_IMAGE_HEIGHT` Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`
    `static int` | `GL_UNPACK_SKIP_IMAGES` Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`
    `static int` | `GL_UNSIGNED_INT_5_9_9_9_REV` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_shared_exponent`
    `static int` | `GL_UNSIGNED_INT_SAMPLER_2D` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `static int` | `GL_UNSIGNED_INT_SAMPLER_2D_ARRAY` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `static int` | `GL_UNSIGNED_INT_SAMPLER_3D` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `static int` | `GL_UNSIGNED_INT_SAMPLER_CUBE` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `static int` | `GL_UNSIGNED_INT_VEC2` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `static int` | `GL_UNSIGNED_INT_VEC3` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `static int` | `GL_UNSIGNED_INT_VEC4` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `static int` | `GL_VERTEX_ARRAY_BINDING` Part of `GL_ES_VERSION_3_0`, `GL_ARB_vertex_array_object`, `GL_VERSION_3_0`
    `static int` | `GL_VERTEX_ATTRIB_ARRAY_INTEGER` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`

    - ### Fields inherited from interface javax.media.opengl.GL2ES2

      `GL_ACTIVE_ATTRIBUTE_MAX_LENGTH, GL_ACTIVE_ATTRIBUTES, GL_ACTIVE_PROGRAM, GL_ACTIVE_UNIFORM_MAX_LENGTH, GL_ACTIVE_UNIFORMS, GL_ALL_SHADER_BITS, GL_ANY_SAMPLES_PASSED, GL_ANY_SAMPLES_PASSED_CONSERVATIVE, GL_ATTACHED_SHADERS, GL_BLEND_COLOR, GL_BOOL, GL_BOOL_VEC2, GL_BOOL_VEC3, GL_BOOL_VEC4, GL_BUFFER, GL_COLOR_ATTACHMENT1, GL_COLOR_ATTACHMENT10, GL_COLOR_ATTACHMENT11, GL_COLOR_ATTACHMENT12, GL_COLOR_ATTACHMENT13, GL_COLOR_ATTACHMENT14, GL_COLOR_ATTACHMENT15, GL_COLOR_ATTACHMENT2, GL_COLOR_ATTACHMENT3, GL_COLOR_ATTACHMENT4, GL_COLOR_ATTACHMENT5, GL_COLOR_ATTACHMENT6, GL_COLOR_ATTACHMENT7, GL_COLOR_ATTACHMENT8, GL_COLOR_ATTACHMENT9, GL_COMPARE_REF_TO_TEXTURE, GL_COMPILE_STATUS, GL_CONSTANT_ALPHA, GL_CONSTANT_COLOR, GL_CONTEXT_FLAG_DEBUG_BIT, GL_CONTEXT_ROBUST_ACCESS, GL_CURRENT_PROGRAM, GL_CURRENT_QUERY, GL_CURRENT_VERTEX_ATTRIB, GL_DEBUG_CALLBACK_FUNCTION, GL_DEBUG_CALLBACK_USER_PARAM, GL_DEBUG_GROUP_STACK_DEPTH, GL_DEBUG_LOGGED_MESSAGES, GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH, GL_DEBUG_OUTPUT, GL_DEBUG_OUTPUT_SYNCHRONOUS, GL_DEBUG_SEVERITY_HIGH, GL_DEBUG_SEVERITY_LOW, GL_DEBUG_SEVERITY_MEDIUM, GL_DEBUG_SEVERITY_NOTIFICATION, GL_DEBUG_SOURCE_API, GL_DEBUG_SOURCE_APPLICATION, GL_DEBUG_SOURCE_OTHER, GL_DEBUG_SOURCE_SHADER_COMPILER, GL_DEBUG_SOURCE_THIRD_PARTY, GL_DEBUG_SOURCE_WINDOW_SYSTEM, GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR, GL_DEBUG_TYPE_ERROR, GL_DEBUG_TYPE_MARKER, GL_DEBUG_TYPE_OTHER, GL_DEBUG_TYPE_PERFORMANCE, GL_DEBUG_TYPE_POP_GROUP, GL_DEBUG_TYPE_PORTABILITY, GL_DEBUG_TYPE_PUSH_GROUP, GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR, GL_DELETE_STATUS, GL_DEPTH_COMPONENT, GL_DRAW_BUFFER0, GL_DRAW_BUFFER1, GL_DRAW_BUFFER10, GL_DRAW_BUFFER11, GL_DRAW_BUFFER12, GL_DRAW_BUFFER13, GL_DRAW_BUFFER14, GL_DRAW_BUFFER15, GL_DRAW_BUFFER2, GL_DRAW_BUFFER3, GL_DRAW_BUFFER4, GL_DRAW_BUFFER5, GL_DRAW_BUFFER6, GL_DRAW_BUFFER7, GL_DRAW_BUFFER8, GL_DRAW_BUFFER9, GL_FLOAT_MAT2, GL_FLOAT_MAT3, GL_FLOAT_MAT4, GL_FLOAT_VEC2, GL_FLOAT_VEC3, GL_FLOAT_VEC4, GL_FRAGMENT_SHADER, GL_FRAGMENT_SHADER_BIT, GL_FRAGMENT_SHADER_DERIVATIVE_HINT, GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING, GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE, GL_HIGH_FLOAT, GL_HIGH_INT, GL_INFO_LOG_LENGTH, GL_INT, GL_INT_10_10_10_2, GL_INT_VEC2, GL_INT_VEC3, GL_INT_VEC4, GL_LINK_STATUS, GL_LOW_FLOAT, GL_LOW_INT, GL_MAX_3D_TEXTURE_SIZE, GL_MAX_COLOR_ATTACHMENTS, GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS, GL_MAX_DEBUG_GROUP_STACK_DEPTH, GL_MAX_DEBUG_LOGGED_MESSAGES, GL_MAX_DEBUG_MESSAGE_LENGTH, GL_MAX_DRAW_BUFFERS, GL_MAX_FRAGMENT_UNIFORM_VECTORS, GL_MAX_LABEL_LENGTH, GL_MAX_TEXTURE_IMAGE_UNITS, GL_MAX_VARYING_VECTORS, GL_MAX_VERTEX_ATTRIBS, GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS, GL_MAX_VERTEX_UNIFORM_VECTORS, GL_MEDIUM_FLOAT, GL_MEDIUM_INT, GL_NUM_PROGRAM_BINARY_FORMATS, GL_NUM_SHADER_BINARY_FORMATS, GL_ONE_MINUS_CONSTANT_ALPHA, GL_ONE_MINUS_CONSTANT_COLOR, GL_PROGRAM, GL_PROGRAM_BINARY_FORMATS, GL_PROGRAM_BINARY_LENGTH, GL_PROGRAM_PIPELINE_BINDING, GL_PROGRAM_SEPARABLE, GL_QUERY, GL_QUERY_RESULT, GL_QUERY_RESULT_AVAILABLE, GL_R16F, GL_R32F, GL_R8, GL_RED, GL_RG, GL_RG16F, GL_RG32F, GL_RG8, GL_SAMPLER, GL_SAMPLER_2D, GL_SAMPLER_2D_SHADOW, GL_SAMPLER_3D, GL_SAMPLER_CUBE, GL_SHADER, GL_SHADER_BINARY_DMP, GL_SHADER_BINARY_FORMATS, GL_SHADER_COMPILER, GL_SHADER_SOURCE_LENGTH, GL_SHADER_TYPE, GL_SHADING_LANGUAGE_VERSION, GL_STACK_OVERFLOW, GL_STACK_UNDERFLOW, GL_STENCIL_BACK_FAIL, GL_STENCIL_BACK_FUNC, GL_STENCIL_BACK_PASS_DEPTH_FAIL, GL_STENCIL_BACK_PASS_DEPTH_PASS, GL_STENCIL_BACK_REF, GL_STENCIL_BACK_VALUE_MASK, GL_STENCIL_BACK_WRITEMASK, GL_STENCIL_INDEX, GL_STREAM_DRAW, GL_TEXTURE_3D, GL_TEXTURE_BINDING_3D, GL_TEXTURE_COMPARE_FUNC, GL_TEXTURE_COMPARE_MODE, GL_TEXTURE_WRAP_R, GL_UNPACK_ROW_LENGTH, GL_UNPACK_SKIP_PIXELS, GL_UNPACK_SKIP_ROWS, GL_UNSIGNED_INT_10_10_10_2, GL_UNSIGNED_INT_2_10_10_10_REV, GL_UNSIGNED_NORMALIZED, GL_VALIDATE_STATUS, GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING, GL_VERTEX_ATTRIB_ARRAY_ENABLED, GL_VERTEX_ATTRIB_ARRAY_NORMALIZED, GL_VERTEX_ATTRIB_ARRAY_POINTER, GL_VERTEX_ATTRIB_ARRAY_SIZE, GL_VERTEX_ATTRIB_ARRAY_STRIDE, GL_VERTEX_ATTRIB_ARRAY_TYPE, GL_VERTEX_SHADER, GL_VERTEX_SHADER_BIT`

    - ### Fields inherited from interface javax.media.opengl.GL

      `GL_ACTIVE_TEXTURE, GL_ALIASED_LINE_WIDTH_RANGE, GL_ALIASED_POINT_SIZE_RANGE, GL_ALPHA, GL_ALPHA_BITS, GL_ALPHA16F, GL_ALPHA32F, GL_ALPHA8, GL_ALWAYS, GL_AND, GL_AND_INVERTED, GL_AND_REVERSE, GL_ARRAY_BUFFER, GL_ARRAY_BUFFER_BINDING, GL_BACK, GL_BGRA, GL_BGRA8, GL_BLEND, GL_BLEND_DST, GL_BLEND_DST_ALPHA, GL_BLEND_DST_RGB, GL_BLEND_EQUATION, GL_BLEND_EQUATION_ALPHA, GL_BLEND_EQUATION_RGB, GL_BLEND_SRC, GL_BLEND_SRC_ALPHA, GL_BLEND_SRC_RGB, GL_BLUE_BITS, GL_BUFFER_ACCESS, GL_BUFFER_MAP_POINTER, GL_BUFFER_MAPPED, GL_BUFFER_SIZE, GL_BUFFER_USAGE, GL_BYTE, GL_CCW, GL_CLAMP_TO_EDGE, GL_CLEAR, GL_COLOR_ATTACHMENT0, GL_COLOR_BUFFER_BIT, GL_COLOR_CLEAR_VALUE, GL_COLOR_LOGIC_OP, GL_COLOR_WRITEMASK, GL_COMPRESSED_RGB_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT3_EXT, GL_COMPRESSED_RGBA_S3TC_DXT5_EXT, GL_COMPRESSED_TEXTURE_FORMATS, GL_COPY, GL_COPY_INVERTED, GL_CULL_FACE, GL_CULL_FACE_MODE, GL_CW, GL_DECR, GL_DECR_WRAP, GL_DEPTH_ATTACHMENT, GL_DEPTH_BITS, GL_DEPTH_BUFFER_BIT, GL_DEPTH_CLEAR_VALUE, GL_DEPTH_COMPONENT16, GL_DEPTH_COMPONENT24, GL_DEPTH_COMPONENT32, GL_DEPTH_FUNC, GL_DEPTH_RANGE, GL_DEPTH_STENCIL, GL_DEPTH_TEST, GL_DEPTH_WRITEMASK, GL_DEPTH24_STENCIL8, GL_DITHER, GL_DONT_CARE, GL_DST_ALPHA, GL_DST_COLOR, GL_DYNAMIC_DRAW, GL_ELEMENT_ARRAY_BUFFER, GL_ELEMENT_ARRAY_BUFFER_BINDING, GL_EQUAL, GL_EQUIV, GL_EXTENSIONS, GL_FALSE, GL_FASTEST, GL_FIXED, GL_FLOAT, GL_FRAMEBUFFER, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL, GL_FRAMEBUFFER_BINDING, GL_FRAMEBUFFER_COMPLETE, GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT, GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS, GL_FRAMEBUFFER_INCOMPLETE_FORMATS, GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT, GL_FRAMEBUFFER_UNSUPPORTED, GL_FRONT, GL_FRONT_AND_BACK, GL_FRONT_FACE, GL_FUNC_ADD, GL_FUNC_REVERSE_SUBTRACT, GL_FUNC_SUBTRACT, GL_GENERATE_MIPMAP_HINT, GL_GEQUAL, GL_GREATER, GL_GREEN_BITS, GL_GUILTY_CONTEXT_RESET, GL_HALF_FLOAT, GL_IMPLEMENTATION_COLOR_READ_FORMAT, GL_IMPLEMENTATION_COLOR_READ_TYPE, GL_INCR, GL_INCR_WRAP, GL_INNOCENT_CONTEXT_RESET, GL_INVALID_ENUM, GL_INVALID_FRAMEBUFFER_OPERATION, GL_INVALID_OPERATION, GL_INVALID_VALUE, GL_INVERT, GL_KEEP, GL_LEQUAL, GL_LESS, GL_LINE_LOOP, GL_LINE_SMOOTH, GL_LINE_SMOOTH_HINT, GL_LINE_STRIP, GL_LINE_WIDTH, GL_LINEAR, GL_LINEAR_MIPMAP_LINEAR, GL_LINEAR_MIPMAP_NEAREST, GL_LINES, GL_LOGIC_OP_MODE, GL_LOSE_CONTEXT_ON_RESET, GL_LUMINANCE, GL_LUMINANCE_ALPHA, GL_MAP_FLUSH_EXPLICIT_BIT, GL_MAP_INVALIDATE_BUFFER_BIT, GL_MAP_INVALIDATE_RANGE_BIT, GL_MAP_READ_BIT, GL_MAP_UNSYNCHRONIZED_BIT, GL_MAP_WRITE_BIT, GL_MAX_ARRAY_TEXTURE_LAYERS, GL_MAX_CUBE_MAP_TEXTURE_SIZE, GL_MAX_RENDERBUFFER_SIZE, GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT, GL_MAX_TEXTURE_SIZE, GL_MAX_VIEWPORT_DIMS, GL_MIRRORED_REPEAT, GL_MULTISAMPLE, GL_NAND, GL_NEAREST, GL_NEAREST_MIPMAP_LINEAR, GL_NEAREST_MIPMAP_NEAREST, GL_NEVER, GL_NICEST, GL_NO_ERROR, GL_NO_RESET_NOTIFICATION, GL_NONE, GL_NOOP, GL_NOR, GL_NOTEQUAL, GL_NUM_COMPRESSED_TEXTURE_FORMATS, GL_ONE, GL_ONE_MINUS_DST_ALPHA, GL_ONE_MINUS_DST_COLOR, GL_ONE_MINUS_SRC_ALPHA, GL_ONE_MINUS_SRC_COLOR, GL_OR, GL_OR_INVERTED, GL_OR_REVERSE, GL_OUT_OF_MEMORY, GL_PACK_ALIGNMENT, GL_POINT_FADE_THRESHOLD_SIZE, GL_POINT_SIZE, GL_POINTS, GL_POLYGON_OFFSET_FACTOR, GL_POLYGON_OFFSET_FILL, GL_POLYGON_OFFSET_UNITS, GL_R11F_G11F_B10F, GL_RED_BITS, GL_RENDERBUFFER, GL_RENDERBUFFER_ALPHA_SIZE, GL_RENDERBUFFER_BINDING, GL_RENDERBUFFER_BLUE_SIZE, GL_RENDERBUFFER_DEPTH_SIZE, GL_RENDERBUFFER_GREEN_SIZE, GL_RENDERBUFFER_HEIGHT, GL_RENDERBUFFER_INTERNAL_FORMAT, GL_RENDERBUFFER_RED_SIZE, GL_RENDERBUFFER_STENCIL_SIZE, GL_RENDERBUFFER_WIDTH, GL_RENDERER, GL_REPEAT, GL_REPLACE, GL_RESET_NOTIFICATION_STRATEGY, GL_RGB, GL_RGB10, GL_RGB10_A2, GL_RGB16F, GL_RGB32F, GL_RGB5_A1, GL_RGB565, GL_RGB8, GL_RGBA, GL_RGBA_SIGNED_COMPONENTS, GL_RGBA16F, GL_RGBA32F, GL_RGBA4, GL_RGBA8, GL_SAMPLE_ALPHA_TO_COVERAGE, GL_SAMPLE_ALPHA_TO_ONE, GL_SAMPLE_BUFFERS, GL_SAMPLE_COVERAGE, GL_SAMPLE_COVERAGE_INVERT, GL_SAMPLE_COVERAGE_VALUE, GL_SAMPLER_2D_ARRAY, GL_SAMPLES, GL_SCISSOR_BOX, GL_SCISSOR_TEST, GL_SET, GL_SHORT, GL_SMOOTH_LINE_WIDTH_RANGE, GL_SMOOTH_POINT_SIZE_RANGE, GL_SRC_ALPHA, GL_SRC_ALPHA_SATURATE, GL_SRC_COLOR, GL_SRGB, GL_SRGB_ALPHA, GL_SRGB8_ALPHA8, GL_STATIC_DRAW, GL_STENCIL_ATTACHMENT, GL_STENCIL_BITS, GL_STENCIL_BUFFER_BIT, GL_STENCIL_CLEAR_VALUE, GL_STENCIL_FAIL, GL_STENCIL_FUNC, GL_STENCIL_INDEX1, GL_STENCIL_INDEX4, GL_STENCIL_INDEX8, GL_STENCIL_PASS_DEPTH_FAIL, GL_STENCIL_PASS_DEPTH_PASS, GL_STENCIL_REF, GL_STENCIL_TEST, GL_STENCIL_VALUE_MASK, GL_STENCIL_WRITEMASK, GL_SUBPIXEL_BITS, GL_TEXTURE, GL_TEXTURE_2D, GL_TEXTURE_2D_ARRAY, GL_TEXTURE_BINDING_2D, GL_TEXTURE_BINDING_2D_ARRAY, GL_TEXTURE_BINDING_CUBE_MAP, GL_TEXTURE_CUBE_MAP, GL_TEXTURE_CUBE_MAP_NEGATIVE_X, GL_TEXTURE_CUBE_MAP_NEGATIVE_Y, GL_TEXTURE_CUBE_MAP_NEGATIVE_Z, GL_TEXTURE_CUBE_MAP_POSITIVE_X, GL_TEXTURE_CUBE_MAP_POSITIVE_Y, GL_TEXTURE_CUBE_MAP_POSITIVE_Z, GL_TEXTURE_IMMUTABLE_FORMAT, GL_TEXTURE_MAG_FILTER, GL_TEXTURE_MAX_ANISOTROPY_EXT, GL_TEXTURE_MIN_FILTER, GL_TEXTURE_WRAP_S, GL_TEXTURE_WRAP_T, GL_TEXTURE0, GL_TEXTURE1, GL_TEXTURE10, GL_TEXTURE11, GL_TEXTURE12, GL_TEXTURE13, GL_TEXTURE14, GL_TEXTURE15, GL_TEXTURE16, GL_TEXTURE17, GL_TEXTURE18, GL_TEXTURE19, GL_TEXTURE2, GL_TEXTURE20, GL_TEXTURE21, GL_TEXTURE22, GL_TEXTURE23, GL_TEXTURE24, GL_TEXTURE25, GL_TEXTURE26, GL_TEXTURE27, GL_TEXTURE28, GL_TEXTURE29, GL_TEXTURE3, GL_TEXTURE30, GL_TEXTURE31, GL_TEXTURE4, GL_TEXTURE5, GL_TEXTURE6, GL_TEXTURE7, GL_TEXTURE8, GL_TEXTURE9, GL_TRIANGLE_FAN, GL_TRIANGLE_STRIP, GL_TRIANGLES, GL_TRUE, GL_UNKNOWN_CONTEXT_RESET, GL_UNPACK_ALIGNMENT, GL_UNSIGNED_BYTE, GL_UNSIGNED_INT, GL_UNSIGNED_INT_10F_11F_11F_REV, GL_UNSIGNED_INT_24_8, GL_UNSIGNED_SHORT, GL_UNSIGNED_SHORT_1_5_5_5_REV_EXT, GL_UNSIGNED_SHORT_4_4_4_4, GL_UNSIGNED_SHORT_4_4_4_4_REV_EXT, GL_UNSIGNED_SHORT_5_5_5_1, GL_UNSIGNED_SHORT_5_6_5, GL_VENDOR, GL_VERSION, GL_VIEWPORT, GL_WRITE_ONLY, GL_XOR, GL_ZERO`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `glBeginTransformFeedback(int primitiveMode)` Entry point to C language function: `void glBeginTransformFeedback(GLenum primitiveMode)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glBindBufferBase(int target, int index, int buffer)` Entry point to C language function: `void glBindBufferBase(GLenum target, GLuint index, GLuint buffer)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glBindBufferRange(int target, int index, int buffer, long offset, long size)` Entry point to C language function: `void glBindBufferRange(GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glBindVertexArray(int array)` Entry point to C language function: `void glBindVertexArray(GLuint array)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_vertex_array_object`, `GL_VERSION_3_0`
    `void` | `glBlitFramebuffer(int srcX0, int srcY0, int srcX1, int srcY1, int dstX0, int dstY0, int dstX1, int dstY1, int mask, int filter)` Entry point to C language function: `void glBlitFramebuffer(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_framebuffer_blit`
    `void` | `glClearBufferfi(int buffer, int drawbuffer, float depth, int stencil)` Entry point to C language function: `void glClearBufferfi(GLenum buffer, GLint drawbuffer, GLfloat depth, GLint stencil)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glClearBufferfv(int buffer, int drawbuffer, float[] value, int value_offset)` Entry point to C language function: `void glClearBufferfv(GLenum buffer, GLint drawbuffer, const GLfloat * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glClearBufferfv(int buffer, int drawbuffer, FloatBuffer value)` Entry point to C language function: `void glClearBufferfv(GLenum buffer, GLint drawbuffer, const GLfloat * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glClearBufferiv(int buffer, int drawbuffer, int[] value, int value_offset)` Entry point to C language function: `void glClearBufferiv(GLenum buffer, GLint drawbuffer, const GLint * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glClearBufferiv(int buffer, int drawbuffer, IntBuffer value)` Entry point to C language function: `void glClearBufferiv(GLenum buffer, GLint drawbuffer, const GLint * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glClearBufferuiv(int buffer, int drawbuffer, int[] value, int value_offset)` Entry point to C language function: `void glClearBufferuiv(GLenum buffer, GLint drawbuffer, const GLuint * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glClearBufferuiv(int buffer, int drawbuffer, IntBuffer value)` Entry point to C language function: `void glClearBufferuiv(GLenum buffer, GLint drawbuffer, const GLuint * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glCopyBufferSubData(int readTarget, int writeTarget, long readOffset, long writeOffset, long size)` Entry point to C language function: `void glCopyBufferSubData(GLenum readTarget, GLenum writeTarget, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_copy_buffer`, `GL_VERSION_3_1`
    `void` | `glDeleteVertexArrays(int n, int[] arrays, int arrays_offset)` Entry point to C language function: `void glDeleteVertexArrays(GLsizei n, const GLuint * arrays)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_vertex_array_object`, `GL_VERSION_3_0`
    `void` | `glDeleteVertexArrays(int n, IntBuffer arrays)` Entry point to C language function: `void glDeleteVertexArrays(GLsizei n, const GLuint * arrays)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_vertex_array_object`, `GL_VERSION_3_0`
    `void` | `glDrawArraysInstanced(int mode, int first, int count, int instancecount)` Entry point to C language function: `void glDrawArraysInstanced(GLenum mode, GLint first, GLsizei count, GLsizei instancecount)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_1`; `GL_ARB_draw_instanced`
    `void` | `glDrawBuffers(int n, int[] bufs, int bufs_offset)` Entry point to C language function: `void glDrawBuffers(GLsizei n, const GLenum * bufs)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_EXT_draw_buffers` `GL_NV_draw_buffers`
    `void` | `glDrawBuffers(int n, IntBuffer bufs)` Entry point to C language function: `void glDrawBuffers(GLsizei n, const GLenum * bufs)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_EXT_draw_buffers` `GL_NV_draw_buffers`
    `void` | `glDrawElementsInstanced(int mode, int count, int type, long indices_buffer_offset, int instancecount)` Entry point to C language function: `void glDrawElementsInstanced(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices, GLsizei instancecount)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_1`; `GL_ARB_draw_instanced`
    `void` | `glDrawRangeElements(int mode, int start, int end, int count, int type, long indices_buffer_offset)` Entry point to C language function: `void glDrawRangeElements(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid * indices)` Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`
    `void` | `glEndTransformFeedback()` Entry point to C language function: `void glEndTransformFeedback(void)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glFramebufferTextureLayer(int target, int attachment, int texture, int level, int layer)` Entry point to C language function: `void glFramebufferTextureLayer(GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer)` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glGenVertexArrays(int n, int[] arrays, int arrays_offset)` Entry point to C language function: `void glGenVertexArrays(GLsizei n, GLuint * arrays)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_vertex_array_object`, `GL_VERSION_3_0`
    `void` | `glGenVertexArrays(int n, IntBuffer arrays)` Entry point to C language function: `void glGenVertexArrays(GLsizei n, GLuint * arrays)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_vertex_array_object`, `GL_VERSION_3_0`
    `void` | `glGetActiveUniformBlockiv(int program, int uniformBlockIndex, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetActiveUniformBlockiv(GLuint program, GLuint uniformBlockIndex, GLenum pname, GLint * params)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `void` | `glGetActiveUniformBlockiv(int program, int uniformBlockIndex, int pname, IntBuffer params)` Entry point to C language function: `void glGetActiveUniformBlockiv(GLuint program, GLuint uniformBlockIndex, GLenum pname, GLint * params)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `void` | `glGetActiveUniformBlockName(int program, int uniformBlockIndex, int bufSize, int[] length, int length_offset, byte[] uniformBlockName, int uniformBlockName_offset)` Entry point to C language function: `void glGetActiveUniformBlockName(GLuint program, GLuint uniformBlockIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformBlockName)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `void` | `glGetActiveUniformBlockName(int program, int uniformBlockIndex, int bufSize, IntBuffer length, ByteBuffer uniformBlockName)` Entry point to C language function: `void glGetActiveUniformBlockName(GLuint program, GLuint uniformBlockIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformBlockName)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `void` | `glGetActiveUniformsiv(int program, int uniformCount, int[] uniformIndices, int uniformIndices_offset, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetActiveUniformsiv(GLuint program, GLsizei uniformCount, const GLuint * uniformIndices, GLenum pname, GLint * params)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `void` | `glGetActiveUniformsiv(int program, int uniformCount, IntBuffer uniformIndices, int pname, IntBuffer params)` Entry point to C language function: `void glGetActiveUniformsiv(GLuint program, GLsizei uniformCount, const GLuint * uniformIndices, GLenum pname, GLint * params)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `int` | `glGetFragDataLocation(int program, String name)` Entry point to C language function: `GLint glGetFragDataLocation(GLuint program, const GLchar * name)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `void` | `glGetIntegeri_v(int target, int index, int[] data, int data_offset)` Entry point to C language function: `void glGetIntegeri_v(GLenum target, GLuint index, GLint * data)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glGetIntegeri_v(int target, int index, IntBuffer data)` Entry point to C language function: `void glGetIntegeri_v(GLenum target, GLuint index, GLint * data)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glGetInternalformativ(int target, int internalformat, int pname, int bufSize, int[] params, int params_offset)` Entry point to C language function: `void glGetInternalformativ(GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint * params)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_internalformat_query`
    `void` | `glGetInternalformativ(int target, int internalformat, int pname, int bufSize, IntBuffer params)` Entry point to C language function: `void glGetInternalformativ(GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint * params)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_internalformat_query`
    `String` | `glGetStringi(int name, int index)` Entry point to C language function: `const GLubyte * glGetStringi(GLenum name, GLuint index)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glGetTransformFeedbackVarying(int program, int index, int bufSize, int[] length, int length_offset, int[] size, int size_offset, int[] type, int type_offset, byte[] name, int name_offset)` Entry point to C language function: `void glGetTransformFeedbackVarying(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glGetTransformFeedbackVarying(int program, int index, int bufSize, IntBuffer length, IntBuffer size, IntBuffer type, ByteBuffer name)` Entry point to C language function: `void glGetTransformFeedbackVarying(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `int` | `glGetUniformBlockIndex(int program, String uniformBlockName)` Entry point to C language function: `GLuint glGetUniformBlockIndex(GLuint program, const GLchar * uniformBlockName)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `void` | `glGetUniformIndices(int program, int uniformCount, String[] uniformNames, int[] uniformIndices, int uniformIndices_offset)` Entry point to C language function: `void glGetUniformIndices(GLuint program, GLsizei uniformCount, const GLchar * const * uniformNames, GLuint * uniformIndices)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `void` | `glGetUniformIndices(int program, int uniformCount, String[] uniformNames, IntBuffer uniformIndices)` Entry point to C language function: `void glGetUniformIndices(GLuint program, GLsizei uniformCount, const GLchar * const * uniformNames, GLuint * uniformIndices)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `void` | `glGetUniformuiv(int program, int location, int[] params, int params_offset)` Entry point to C language function: `void glGetUniformuiv(GLuint program, GLint location, GLuint * params)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `void` | `glGetUniformuiv(int program, int location, IntBuffer params)` Entry point to C language function: `void glGetUniformuiv(GLuint program, GLint location, GLuint * params)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `void` | `glGetVertexAttribIiv(int index, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetVertexAttribIiv(GLuint index, GLenum pname, GLint * params)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glGetVertexAttribIiv(int index, int pname, IntBuffer params)` Entry point to C language function: `void glGetVertexAttribIiv(GLuint index, GLenum pname, GLint * params)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glGetVertexAttribIuiv(int index, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetVertexAttribIuiv(GLuint index, GLenum pname, GLuint * params)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glGetVertexAttribIuiv(int index, int pname, IntBuffer params)` Entry point to C language function: `void glGetVertexAttribIuiv(GLuint index, GLenum pname, GLuint * params)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `boolean` | `glIsVertexArray(int array)` Entry point to C language function: `GLboolean glIsVertexArray(GLuint array)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_vertex_array_object`, `GL_VERSION_3_0`
    `void` | `glReadBuffer(int mode)` Entry point to C language function: `void glReadBuffer(GLenum mode)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`
    `void` | `glRenderbufferStorageMultisample(int target, int samples, int internalformat, int width, int height)` Entry point to C language function: `void glRenderbufferStorageMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glTransformFeedbackVaryings(int program, int count, String[] varyings, int bufferMode)` Entry point to C language function: `void glTransformFeedbackVaryings(GLuint program, GLsizei count, const GLchar * const * varyings, GLenum bufferMode)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glUniform1ui(int location, int v0)` Entry point to C language function: `void glUniform1ui(GLint location, GLuint v0)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `void` | `glUniform1uiv(int location, int count, int[] value, int value_offset)` Entry point to C language function: `void glUniform1uiv(GLint location, GLsizei count, const GLuint * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `void` | `glUniform1uiv(int location, int count, IntBuffer value)` Entry point to C language function: `void glUniform1uiv(GLint location, GLsizei count, const GLuint * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `void` | `glUniform2ui(int location, int v0, int v1)` Entry point to C language function: `void glUniform2ui(GLint location, GLuint v0, GLuint v1)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `void` | `glUniform2uiv(int location, int count, int[] value, int value_offset)` Entry point to C language function: `void glUniform2uiv(GLint location, GLsizei count, const GLuint * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `void` | `glUniform2uiv(int location, int count, IntBuffer value)` Entry point to C language function: `void glUniform2uiv(GLint location, GLsizei count, const GLuint * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `void` | `glUniform3ui(int location, int v0, int v1, int v2)` Entry point to C language function: `void glUniform3ui(GLint location, GLuint v0, GLuint v1, GLuint v2)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `void` | `glUniform3uiv(int location, int count, int[] value, int value_offset)` Entry point to C language function: `void glUniform3uiv(GLint location, GLsizei count, const GLuint * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `void` | `glUniform3uiv(int location, int count, IntBuffer value)` Entry point to C language function: `void glUniform3uiv(GLint location, GLsizei count, const GLuint * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `void` | `glUniform4ui(int location, int v0, int v1, int v2, int v3)` Entry point to C language function: `void glUniform4ui(GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `void` | `glUniform4uiv(int location, int count, int[] value, int value_offset)` Entry point to C language function: `void glUniform4uiv(GLint location, GLsizei count, const GLuint * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `void` | `glUniform4uiv(int location, int count, IntBuffer value)` Entry point to C language function: `void glUniform4uiv(GLint location, GLsizei count, const GLuint * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `void` | `glUniformBlockBinding(int program, int uniformBlockIndex, int uniformBlockBinding)` Entry point to C language function: `void glUniformBlockBinding(GLuint program, GLuint uniformBlockIndex, GLuint uniformBlockBinding)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `void` | `glUniformMatrix2x3fv(int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix2x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `void` | `glUniformMatrix2x3fv(int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glUniformMatrix2x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `void` | `glUniformMatrix2x4fv(int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix2x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `void` | `glUniformMatrix2x4fv(int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glUniformMatrix2x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `void` | `glUniformMatrix3x2fv(int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix3x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `void` | `glUniformMatrix3x2fv(int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glUniformMatrix3x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `void` | `glUniformMatrix3x4fv(int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix3x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `void` | `glUniformMatrix3x4fv(int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glUniformMatrix3x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `void` | `glUniformMatrix4x2fv(int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix4x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `void` | `glUniformMatrix4x2fv(int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glUniformMatrix4x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `void` | `glUniformMatrix4x3fv(int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix4x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `void` | `glUniformMatrix4x3fv(int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glUniformMatrix4x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
    `void` | `glVertexAttribI4i(int index, int x, int y, int z, int w)` Entry point to C language function: `void glVertexAttribI4i(GLuint index, GLint x, GLint y, GLint z, GLint w)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glVertexAttribI4iv(int index, int[] v, int v_offset)` Entry point to C language function: `void glVertexAttribI4iv(GLuint index, const GLint * v)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glVertexAttribI4iv(int index, IntBuffer v)` Entry point to C language function: `void glVertexAttribI4iv(GLuint index, const GLint * v)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glVertexAttribI4ui(int index, int x, int y, int z, int w)` Entry point to C language function: `void glVertexAttribI4ui(GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glVertexAttribI4uiv(int index, int[] v, int v_offset)` Entry point to C language function: `void glVertexAttribI4uiv(GLuint index, const GLuint * v)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glVertexAttribI4uiv(int index, IntBuffer v)` Entry point to C language function: `void glVertexAttribI4uiv(GLuint index, const GLuint * v)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `void` | `glVertexAttribIPointer(int index, int size, int type, int stride, long pointer_buffer_offset)` Entry point to C language function: `void glVertexAttribIPointer(GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid * pointer)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
    `boolean` | `isPBOPackBound()`
    `boolean` | `isPBOUnpackBound()`

    - ### Methods inherited from interface javax.media.opengl.GL2ES2

      `glAttachShader, glBeginQuery, glBindAttribLocation, glBlendColor, glClearDepth, glClearDepthf, glCompileShader, glCompressedTexImage3D, glCompressedTexImage3D, glCompressedTexSubImage3D, glCompressedTexSubImage3D, glCopyTexSubImage3D, glCreateProgram, glCreateShader, glDebugMessageControl, glDebugMessageControl, glDebugMessageInsert, glDeleteProgram, glDeleteQueries, glDeleteQueries, glDeleteShader, glDepthRange, glDepthRangef, glDetachShader, glDisableVertexAttribArray, glEnableVertexAttribArray, glEndQuery, glFramebufferTexture3D, glGenQueries, glGenQueries, glGetActiveAttrib, glGetActiveAttrib, glGetActiveUniform, glGetActiveUniform, glGetAttachedShaders, glGetAttachedShaders, glGetAttribLocation, glGetDebugMessageLog, glGetDebugMessageLog, glGetObjectLabel, glGetObjectLabel, glGetObjectPtrLabel, glGetObjectPtrLabel, glGetProgramBinary, glGetProgramBinary, glGetProgramInfoLog, glGetProgramInfoLog, glGetProgramiv, glGetProgramiv, glGetQueryiv, glGetQueryiv, glGetQueryObjectuiv, glGetQueryObjectuiv, glGetShaderInfoLog, glGetShaderInfoLog, glGetShaderiv, glGetShaderiv, glGetShaderPrecisionFormat, glGetShaderPrecisionFormat, glGetShaderSource, glGetShaderSource, glGetUniformfv, glGetUniformfv, glGetUniformiv, glGetUniformiv, glGetUniformLocation, glGetVertexAttribfv, glGetVertexAttribfv, glGetVertexAttribiv, glGetVertexAttribiv, glIsProgram, glIsQuery, glIsShader, glLinkProgram, glObjectLabel, glObjectLabel, glObjectPtrLabel, glObjectPtrLabel, glPopDebugGroup, glProgramBinary, glPushDebugGroup, glPushDebugGroup, glReleaseShaderCompiler, glShaderBinary, glShaderBinary, glShaderSource, glShaderSource, glStencilFuncSeparate, glStencilMaskSeparate, glStencilOpSeparate, glTexImage3D, glTexImage3D, glTexSubImage3D, glTexSubImage3D, glUniform, glUniform1f, glUniform1fv, glUniform1fv, glUniform1i, glUniform1iv, glUniform1iv, glUniform2f, glUniform2fv, glUniform2fv, glUniform2i, glUniform2iv, glUniform2iv, glUniform3f, glUniform3fv, glUniform3fv, glUniform3i, glUniform3iv, glUniform3iv, glUniform4f, glUniform4fv, glUniform4fv, glUniform4i, glUniform4iv, glUniform4iv, glUniformMatrix2fv, glUniformMatrix2fv, glUniformMatrix3fv, glUniformMatrix3fv, glUniformMatrix4fv, glUniformMatrix4fv, glUseProgram, glValidateProgram, glVertexAttrib1f, glVertexAttrib1fv, glVertexAttrib1fv, glVertexAttrib2f, glVertexAttrib2fv, glVertexAttrib2fv, glVertexAttrib3f, glVertexAttrib3fv, glVertexAttrib3fv, glVertexAttrib4f, glVertexAttrib4fv, glVertexAttrib4fv, glVertexAttribPointer, glVertexAttribPointer`

    - ### Methods inherited from interface javax.media.opengl.GL

      `glActiveTexture, glBindBuffer, glBindFramebuffer, glBindRenderbuffer, glBindTexture, glBlendEquation, glBlendEquationSeparate, glBlendFunc, glBlendFuncSeparate, glBufferData, glBufferSubData, glCheckFramebufferStatus, glClear, glClearColor, glClearStencil, glColorMask, glCompressedTexImage2D, glCompressedTexImage2D, glCompressedTexSubImage2D, glCompressedTexSubImage2D, glCopyTexImage2D, glCopyTexSubImage2D, glCullFace, glDeleteBuffers, glDeleteBuffers, glDeleteFramebuffers, glDeleteFramebuffers, glDeleteRenderbuffers, glDeleteRenderbuffers, glDeleteTextures, glDeleteTextures, glDepthFunc, glDepthMask, glDisable, glDrawArrays, glDrawElements, glEnable, glFinish, glFlush, glFlushMappedBufferRange, glFramebufferRenderbuffer, glFramebufferTexture2D, glFrontFace, glGenBuffers, glGenBuffers, glGenerateMipmap, glGenFramebuffers, glGenFramebuffers, glGenRenderbuffers, glGenRenderbuffers, glGenTextures, glGenTextures, glGetBooleanv, glGetBooleanv, glGetBufferParameteriv, glGetBufferParameteriv, glGetError, glGetFloatv, glGetFloatv, glGetFramebufferAttachmentParameteriv, glGetFramebufferAttachmentParameteriv, glGetGraphicsResetStatus, glGetIntegerv, glGetIntegerv, glGetnUniformfv, glGetnUniformfv, glGetnUniformiv, glGetnUniformiv, glGetRenderbufferParameteriv, glGetRenderbufferParameteriv, glGetString, glGetTexParameterfv, glGetTexParameterfv, glGetTexParameteriv, glGetTexParameteriv, glHint, glIsBuffer, glIsEnabled, glIsFramebuffer, glIsRenderbuffer, glIsTexture, glLineWidth, glMapBuffer, glMapBufferRange, glPixelStorei, glPolygonOffset, glReadnPixels, glReadPixels, glReadPixels, glRenderbufferStorage, glSampleCoverage, glScissor, glStencilFunc, glStencilMask, glStencilOp, glTexImage2D, glTexImage2D, glTexParameterf, glTexParameterfv, glTexParameterfv, glTexParameteri, glTexParameteriv, glTexParameteriv, glTexStorage1D, glTexStorage2D, glTexStorage3D, glTexSubImage2D, glTexSubImage2D, glTextureStorage1D, glTextureStorage2D, glTextureStorage3D, glUnmapBuffer, glViewport`

    - ### Methods inherited from interface javax.media.opengl.GLBase

      `getBoundBuffer, getBoundFramebuffer, getBufferStorage, getContext, getDefaultDrawFramebuffer, getDefaultReadBuffer, getDefaultReadFramebuffer, getDownstreamGL, getExtension, getGL, getGL2, getGL2ES1, getGL2ES2, getGL2ES3, getGL2GL3, getGL3, getGL3bc, getGL3ES3, getGL4, getGL4bc, getGL4ES3, getGLES1, getGLES2, getGLES3, getGLProfile, getMaxRenderbufferSamples, getPlatformGLExtensions, getRootGL, getSwapInterval, hasBasicFBOSupport, hasFullFBOSupport, hasGLSL, isExtensionAvailable, isFunctionAvailable, isGL, isGL2, isGL2ES1, isGL2ES2, isGL2ES3, isGL2GL3, isGL3, isGL3bc, isGL3core, isGL3ES3, isGL4, isGL4bc, isGL4core, isGL4ES3, isGLcore, isGLES, isGLES1, isGLES2, isGLES2Compatible, isGLES3, isGLES3Compatible, isNPOTTextureAvailable, isTextureFormatBGRA8888Available, isVBOArrayBound, isVBOElementArrayBound, mapBuffer, mapBufferRange, setSwapInterval`

- - ### Field Detail

    - #### GL_GREEN

          static final int GL_GREEN

      Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_BLUE

          static final int GL_BLUE

      Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_READ_BUFFER

          static final int GL_READ_BUFFER

      Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_COLOR

          static final int GL_COLOR

      Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_DEPTH

          static final int GL_DEPTH

      Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_STENCIL

          static final int GL_STENCIL

      Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_PACK_ROW_LENGTH

          static final int GL_PACK_ROW_LENGTH

      Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_PACK_SKIP_PIXELS

          static final int GL_PACK_SKIP_PIXELS

      Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_PACK_SKIP_ROWS

          static final int GL_PACK_SKIP_ROWS

      Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_MIN

          static final int GL_MIN

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_imaging`
      See Also:
        Constant Field Values

    - #### GL_MAX

          static final int GL_MAX

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_imaging`
      See Also:
        Constant Field Values

    - #### GL_UNPACK_SKIP_IMAGES

          static final int GL_UNPACK_SKIP_IMAGES

      Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_UNPACK_IMAGE_HEIGHT

          static final int GL_UNPACK_IMAGE_HEIGHT

      Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_ELEMENTS_VERTICES

          static final int GL_MAX_ELEMENTS_VERTICES

      Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_ELEMENTS_INDICES

          static final int GL_MAX_ELEMENTS_INDICES

      Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_MIN_LOD

          static final int GL_TEXTURE_MIN_LOD

      Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_MAX_LOD

          static final int GL_TEXTURE_MAX_LOD

      Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BASE_LEVEL

          static final int GL_TEXTURE_BASE_LEVEL

      Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_MAX_LEVEL

          static final int GL_TEXTURE_MAX_LEVEL

      Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_TEXTURE_LOD_BIAS

          static final int GL_MAX_TEXTURE_LOD_BIAS

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_4`
      See Also:
        Constant Field Values

    - #### GL_STREAM_READ

          static final int GL_STREAM_READ

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`
      See Also:
        Constant Field Values

    - #### GL_STREAM_COPY

          static final int GL_STREAM_COPY

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`
      See Also:
        Constant Field Values

    - #### GL_STATIC_READ

          static final int GL_STATIC_READ

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`
      See Also:
        Constant Field Values

    - #### GL_STATIC_COPY

          static final int GL_STATIC_COPY

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`
      See Also:
        Constant Field Values

    - #### GL_DYNAMIC_READ

          static final int GL_DYNAMIC_READ

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`
      See Also:
        Constant Field Values

    - #### GL_DYNAMIC_COPY

          static final int GL_DYNAMIC_COPY

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`
      See Also:
        Constant Field Values

    - #### GL_MAX_FRAGMENT_UNIFORM_COMPONENTS

          static final int GL_MAX_FRAGMENT_UNIFORM_COMPONENTS

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_VERTEX_UNIFORM_COMPONENTS

          static final int GL_MAX_VERTEX_UNIFORM_COMPONENTS

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_PIXEL_PACK_BUFFER

          static final int GL_PIXEL_PACK_BUFFER

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
      See Also:
        Constant Field Values

    - #### GL_PIXEL_UNPACK_BUFFER

          static final int GL_PIXEL_UNPACK_BUFFER

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
      See Also:
        Constant Field Values

    - #### GL_PIXEL_PACK_BUFFER_BINDING

          static final int GL_PIXEL_PACK_BUFFER_BINDING

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
      See Also:
        Constant Field Values

    - #### GL_PIXEL_UNPACK_BUFFER_BINDING

          static final int GL_PIXEL_UNPACK_BUFFER_BINDING

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
      See Also:
        Constant Field Values

    - #### GL_FLOAT_MAT2x3

          static final int GL_FLOAT_MAT2x3

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
      See Also:
        Constant Field Values

    - #### GL_FLOAT_MAT2x4

          static final int GL_FLOAT_MAT2x4

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
      See Also:
        Constant Field Values

    - #### GL_FLOAT_MAT3x2

          static final int GL_FLOAT_MAT3x2

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
      See Also:
        Constant Field Values

    - #### GL_FLOAT_MAT3x4

          static final int GL_FLOAT_MAT3x4

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
      See Also:
        Constant Field Values

    - #### GL_FLOAT_MAT4x2

          static final int GL_FLOAT_MAT4x2

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
      See Also:
        Constant Field Values

    - #### GL_FLOAT_MAT4x3

          static final int GL_FLOAT_MAT4x3

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
      See Also:
        Constant Field Values

    - #### GL_SRGB8

          static final int GL_SRGB8

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
      See Also:
        Constant Field Values

    - #### GL_MAJOR_VERSION

          static final int GL_MAJOR_VERSION

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_MINOR_VERSION

          static final int GL_MINOR_VERSION

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_NUM_EXTENSIONS

          static final int GL_NUM_EXTENSIONS

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ATTRIB_ARRAY_INTEGER

          static final int GL_VERTEX_ATTRIB_ARRAY_INTEGER

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_MIN_PROGRAM_TEXEL_OFFSET

          static final int GL_MIN_PROGRAM_TEXEL_OFFSET

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_PROGRAM_TEXEL_OFFSET

          static final int GL_MAX_PROGRAM_TEXEL_OFFSET

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_VARYING_COMPONENTS

          static final int GL_MAX_VARYING_COMPONENTS

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_geometry_shader4`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_RGB9_E5

          static final int GL_RGB9_E5

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_shared_exponent`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_5_9_9_9_REV

          static final int GL_UNSIGNED_INT_5_9_9_9_REV

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_shared_exponent`
      See Also:
        Constant Field Values

    - #### GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH

          static final int GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_TRANSFORM_FEEDBACK_BUFFER_MODE

          static final int GL_TRANSFORM_FEEDBACK_BUFFER_MODE

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS

          static final int GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_TRANSFORM_FEEDBACK_VARYINGS

          static final int GL_TRANSFORM_FEEDBACK_VARYINGS

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_TRANSFORM_FEEDBACK_BUFFER_START

          static final int GL_TRANSFORM_FEEDBACK_BUFFER_START

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_TRANSFORM_FEEDBACK_BUFFER_SIZE

          static final int GL_TRANSFORM_FEEDBACK_BUFFER_SIZE

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN

          static final int GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_RASTERIZER_DISCARD

          static final int GL_RASTERIZER_DISCARD

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS

          static final int GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS

          static final int GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_INTERLEAVED_ATTRIBS

          static final int GL_INTERLEAVED_ATTRIBS

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_SEPARATE_ATTRIBS

          static final int GL_SEPARATE_ATTRIBS

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_TRANSFORM_FEEDBACK_BUFFER

          static final int GL_TRANSFORM_FEEDBACK_BUFFER

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_TRANSFORM_FEEDBACK_BUFFER_BINDING

          static final int GL_TRANSFORM_FEEDBACK_BUFFER_BINDING

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_RGBA32UI

          static final int GL_RGBA32UI

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      See Also:
        Constant Field Values

    - #### GL_RGB32UI

          static final int GL_RGB32UI

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      See Also:
        Constant Field Values

    - #### GL_RGBA16UI

          static final int GL_RGBA16UI

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      See Also:
        Constant Field Values

    - #### GL_RGB16UI

          static final int GL_RGB16UI

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      See Also:
        Constant Field Values

    - #### GL_RGBA8UI

          static final int GL_RGBA8UI

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      See Also:
        Constant Field Values

    - #### GL_RGB8UI

          static final int GL_RGB8UI

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      See Also:
        Constant Field Values

    - #### GL_RGBA32I

          static final int GL_RGBA32I

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      See Also:
        Constant Field Values

    - #### GL_RGB32I

          static final int GL_RGB32I

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      See Also:
        Constant Field Values

    - #### GL_RGBA16I

          static final int GL_RGBA16I

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      See Also:
        Constant Field Values

    - #### GL_RGB16I

          static final int GL_RGB16I

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      See Also:
        Constant Field Values

    - #### GL_RGBA8I

          static final int GL_RGBA8I

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      See Also:
        Constant Field Values

    - #### GL_RGB8I

          static final int GL_RGB8I

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      See Also:
        Constant Field Values

    - #### GL_RED_INTEGER

          static final int GL_RED_INTEGER

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      See Also:
        Constant Field Values

    - #### GL_RGB_INTEGER

          static final int GL_RGB_INTEGER

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      See Also:
        Constant Field Values

    - #### GL_RGBA_INTEGER

          static final int GL_RGBA_INTEGER

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_2D_ARRAY_SHADOW

          static final int GL_SAMPLER_2D_ARRAY_SHADOW

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_CUBE_SHADOW

          static final int GL_SAMPLER_CUBE_SHADOW

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_VEC2

          static final int GL_UNSIGNED_INT_VEC2

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_VEC3

          static final int GL_UNSIGNED_INT_VEC3

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_VEC4

          static final int GL_UNSIGNED_INT_VEC4

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_INT_SAMPLER_2D

          static final int GL_INT_SAMPLER_2D

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_INT_SAMPLER_3D

          static final int GL_INT_SAMPLER_3D

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_INT_SAMPLER_CUBE

          static final int GL_INT_SAMPLER_CUBE

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_INT_SAMPLER_2D_ARRAY

          static final int GL_INT_SAMPLER_2D_ARRAY

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_SAMPLER_2D

          static final int GL_UNSIGNED_INT_SAMPLER_2D

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_SAMPLER_3D

          static final int GL_UNSIGNED_INT_SAMPLER_3D

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_SAMPLER_CUBE

          static final int GL_UNSIGNED_INT_SAMPLER_CUBE

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_SAMPLER_2D_ARRAY

          static final int GL_UNSIGNED_INT_SAMPLER_2D_ARRAY

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_BUFFER_ACCESS_FLAGS

          static final int GL_BUFFER_ACCESS_FLAGS

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_BUFFER_MAP_LENGTH

          static final int GL_BUFFER_MAP_LENGTH

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_BUFFER_MAP_OFFSET

          static final int GL_BUFFER_MAP_OFFSET

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_COMPONENT32F

          static final int GL_DEPTH_COMPONENT32F

      Part of `GL_ARB_depth_buffer_float`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_DEPTH32F_STENCIL8

          static final int GL_DEPTH32F_STENCIL8

      Part of `GL_ARB_depth_buffer_float`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_FLOAT_32_UNSIGNED_INT_24_8_REV

          static final int GL_FLOAT_32_UNSIGNED_INT_24_8_REV

      Part of `GL_ARB_depth_buffer_float`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE

          static final int GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE

          static final int GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE

          static final int GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE

          static final int GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE

          static final int GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE

          static final int GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_DEFAULT

          static final int GL_FRAMEBUFFER_DEFAULT

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_UNDEFINED

          static final int GL_FRAMEBUFFER_UNDEFINED

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_STENCIL_ATTACHMENT

          static final int GL_DEPTH_STENCIL_ATTACHMENT

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_DRAW_FRAMEBUFFER_BINDING

          static final int GL_DRAW_FRAMEBUFFER_BINDING

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_framebuffer_blit`
      See Also:
        Constant Field Values

    - #### GL_READ_FRAMEBUFFER

          static final int GL_READ_FRAMEBUFFER

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_framebuffer_blit`
      See Also:
        Constant Field Values

    - #### GL_DRAW_FRAMEBUFFER

          static final int GL_DRAW_FRAMEBUFFER

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_framebuffer_blit`
      See Also:
        Constant Field Values

    - #### GL_READ_FRAMEBUFFER_BINDING

          static final int GL_READ_FRAMEBUFFER_BINDING

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_framebuffer_blit`
      See Also:
        Constant Field Values

    - #### GL_RENDERBUFFER_SAMPLES

          static final int GL_RENDERBUFFER_SAMPLES

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE

          static final int GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_SAMPLES

          static final int GL_MAX_SAMPLES

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_RG_INTEGER

          static final int GL_RG_INTEGER

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
      See Also:
        Constant Field Values

    - #### GL_R8I

          static final int GL_R8I

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
      See Also:
        Constant Field Values

    - #### GL_R8UI

          static final int GL_R8UI

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
      See Also:
        Constant Field Values

    - #### GL_R16I

          static final int GL_R16I

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
      See Also:
        Constant Field Values

    - #### GL_R16UI

          static final int GL_R16UI

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
      See Also:
        Constant Field Values

    - #### GL_R32I

          static final int GL_R32I

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
      See Also:
        Constant Field Values

    - #### GL_R32UI

          static final int GL_R32UI

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
      See Also:
        Constant Field Values

    - #### GL_RG8I

          static final int GL_RG8I

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
      See Also:
        Constant Field Values

    - #### GL_RG8UI

          static final int GL_RG8UI

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
      See Also:
        Constant Field Values

    - #### GL_RG16I

          static final int GL_RG16I

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
      See Also:
        Constant Field Values

    - #### GL_RG16UI

          static final int GL_RG16UI

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
      See Also:
        Constant Field Values

    - #### GL_RG32I

          static final int GL_RG32I

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
      See Also:
        Constant Field Values

    - #### GL_RG32UI

          static final int GL_RG32UI

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ARRAY_BINDING

          static final int GL_VERTEX_ARRAY_BINDING

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_vertex_array_object`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_R8_SNORM

          static final int GL_R8_SNORM

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_RG8_SNORM

          static final int GL_RG8_SNORM

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_RGB8_SNORM

          static final int GL_RGB8_SNORM

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_RGBA8_SNORM

          static final int GL_RGBA8_SNORM

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_SIGNED_NORMALIZED

          static final int GL_SIGNED_NORMALIZED

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_COPY_READ_BUFFER

          static final int GL_COPY_READ_BUFFER

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_copy_buffer`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_COPY_WRITE_BUFFER

          static final int GL_COPY_WRITE_BUFFER

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_copy_buffer`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_BUFFER

          static final int GL_UNIFORM_BUFFER

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_BUFFER_BINDING

          static final int GL_UNIFORM_BUFFER_BINDING

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_BUFFER_START

          static final int GL_UNIFORM_BUFFER_START

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_BUFFER_SIZE

          static final int GL_UNIFORM_BUFFER_SIZE

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_MAX_VERTEX_UNIFORM_BLOCKS

          static final int GL_MAX_VERTEX_UNIFORM_BLOCKS

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_MAX_FRAGMENT_UNIFORM_BLOCKS

          static final int GL_MAX_FRAGMENT_UNIFORM_BLOCKS

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMBINED_UNIFORM_BLOCKS

          static final int GL_MAX_COMBINED_UNIFORM_BLOCKS

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_MAX_UNIFORM_BUFFER_BINDINGS

          static final int GL_MAX_UNIFORM_BUFFER_BINDINGS

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_MAX_UNIFORM_BLOCK_SIZE

          static final int GL_MAX_UNIFORM_BLOCK_SIZE

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS

          static final int GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS

          static final int GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT

          static final int GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH

          static final int GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_ACTIVE_UNIFORM_BLOCKS

          static final int GL_ACTIVE_UNIFORM_BLOCKS

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_TYPE

          static final int GL_UNIFORM_TYPE

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_SIZE

          static final int GL_UNIFORM_SIZE

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_NAME_LENGTH

          static final int GL_UNIFORM_NAME_LENGTH

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_BLOCK_INDEX

          static final int GL_UNIFORM_BLOCK_INDEX

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_OFFSET

          static final int GL_UNIFORM_OFFSET

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_ARRAY_STRIDE

          static final int GL_UNIFORM_ARRAY_STRIDE

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_MATRIX_STRIDE

          static final int GL_UNIFORM_MATRIX_STRIDE

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_IS_ROW_MAJOR

          static final int GL_UNIFORM_IS_ROW_MAJOR

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_BLOCK_BINDING

          static final int GL_UNIFORM_BLOCK_BINDING

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_BLOCK_DATA_SIZE

          static final int GL_UNIFORM_BLOCK_DATA_SIZE

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_BLOCK_NAME_LENGTH

          static final int GL_UNIFORM_BLOCK_NAME_LENGTH

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS

          static final int GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES

          static final int GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER

          static final int GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER

          static final int GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_COPY_READ_BUFFER_BINDING

          static final int GL_COPY_READ_BUFFER_BINDING

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_copy_buffer`
      See Also:
        Constant Field Values

    - #### GL_COPY_WRITE_BUFFER_BINDING

          static final int GL_COPY_WRITE_BUFFER_BINDING

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_copy_buffer`
      See Also:
        Constant Field Values

    - #### GL_TRANSFORM_FEEDBACK_PAUSED

          static final int GL_TRANSFORM_FEEDBACK_PAUSED

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_transform_feedback2`
      See Also:
        Constant Field Values

    - #### GL_TRANSFORM_FEEDBACK_ACTIVE

          static final int GL_TRANSFORM_FEEDBACK_ACTIVE

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_transform_feedback2`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_4x4_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_4x4_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_5x4_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_5x4_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_5x5_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_5x5_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_6x5_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_6x5_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_6x6_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_6x6_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_8x5_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_8x5_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_8x6_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_8x6_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_8x8_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_8x8_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_10x5_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_10x5_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_10x6_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_10x6_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_10x8_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_10x8_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_10x10_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_10x10_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_12x10_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_12x10_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_12x12_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_12x12_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_INVALID_INDEX

          static final int GL_INVALID_INDEX

      Part of `GL_ARB_uniform_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_TIMEOUT_IGNORED

          static final long GL_TIMEOUT_IGNORED

      Part of `GL_ARB_sync`
      See Also:
        Constant Field Values

    - #### GL_ALL_BARRIER_BITS

          static final int GL_ALL_BARRIER_BITS

      Part of `GL_ARB_shader_image_load_store`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### glBeginTransformFeedback

          void glBeginTransformFeedback(int primitiveMode)

      Entry point to C language function: `void glBeginTransformFeedback(GLenum primitiveMode)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`

    - #### glBindBufferBase

          void glBindBufferBase(int target,
                              int index,
                              int buffer)

      Entry point to C language function: `void glBindBufferBase(GLenum target, GLuint index, GLuint buffer)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`

    - #### glBindBufferRange

          void glBindBufferRange(int target,
                               int index,
                               int buffer,
                               long offset,
                               long size)

      Entry point to C language function: `void glBindBufferRange(GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`

    - #### glBindVertexArray

          void glBindVertexArray(int array)

      Entry point to C language function: `void glBindVertexArray(GLuint array)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_vertex_array_object`, `GL_VERSION_3_0`

    - #### glBlitFramebuffer

          void glBlitFramebuffer(int srcX0,
                               int srcY0,
                               int srcX1,
                               int srcY1,
                               int dstX0,
                               int dstY0,
                               int dstX1,
                               int dstY1,
                               int mask,
                               int filter)

      Entry point to C language function: `void glBlitFramebuffer(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)`
      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_framebuffer_blit`

    - #### glClearBufferfi

          void glClearBufferfi(int buffer,
                             int drawbuffer,
                             float depth,
                             int stencil)

      Entry point to C language function: `void glClearBufferfi(GLenum buffer, GLint drawbuffer, GLfloat depth, GLint stencil)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`

    - #### glClearBufferfv

          void glClearBufferfv(int buffer,
                             int drawbuffer,
                             FloatBuffer value)

      Entry point to C language function: `void glClearBufferfv(GLenum buffer, GLint drawbuffer, const GLfloat * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glClearBufferfv

          void glClearBufferfv(int buffer,
                             int drawbuffer,
                             float[] value,
                             int value_offset)

      Entry point to C language function: `void glClearBufferfv(GLenum buffer, GLint drawbuffer, const GLfloat * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`

    - #### glClearBufferiv

          void glClearBufferiv(int buffer,
                             int drawbuffer,
                             IntBuffer value)

      Entry point to C language function: `void glClearBufferiv(GLenum buffer, GLint drawbuffer, const GLint * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      Parameters:
        `value` - a direct or array-backed `IntBuffer`

    - #### glClearBufferiv

          void glClearBufferiv(int buffer,
                             int drawbuffer,
                             int[] value,
                             int value_offset)

      Entry point to C language function: `void glClearBufferiv(GLenum buffer, GLint drawbuffer, const GLint * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`

    - #### glClearBufferuiv

          void glClearBufferuiv(int buffer,
                              int drawbuffer,
                              IntBuffer value)

      Entry point to C language function: `void glClearBufferuiv(GLenum buffer, GLint drawbuffer, const GLuint * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      Parameters:
        `value` - a direct or array-backed `IntBuffer`

    - #### glClearBufferuiv

          void glClearBufferuiv(int buffer,
                              int drawbuffer,
                              int[] value,
                              int value_offset)

      Entry point to C language function: `void glClearBufferuiv(GLenum buffer, GLint drawbuffer, const GLuint * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`

    - #### glCopyBufferSubData

          void glCopyBufferSubData(int readTarget,
                                 int writeTarget,
                                 long readOffset,
                                 long writeOffset,
                                 long size)

      Entry point to C language function: `void glCopyBufferSubData(GLenum readTarget, GLenum writeTarget, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_copy_buffer`, `GL_VERSION_3_1`

    - #### glDeleteVertexArrays

          void glDeleteVertexArrays(int n,
                                  IntBuffer arrays)

      Entry point to C language function: `void glDeleteVertexArrays(GLsizei n, const GLuint * arrays)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_vertex_array_object`, `GL_VERSION_3_0`
      Parameters:
        `arrays` - a direct or array-backed `IntBuffer`

    - #### glDeleteVertexArrays

          void glDeleteVertexArrays(int n,
                                  int[] arrays,
                                  int arrays_offset)

      Entry point to C language function: `void glDeleteVertexArrays(GLsizei n, const GLuint * arrays)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_vertex_array_object`, `GL_VERSION_3_0`

    - #### glDrawArraysInstanced

          void glDrawArraysInstanced(int mode,
                                   int first,
                                   int count,
                                   int instancecount)

      Entry point to C language function: `void glDrawArraysInstanced(GLenum mode, GLint first, GLsizei count, GLsizei instancecount)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_1`; `GL_ARB_draw_instanced`

    - #### glDrawBuffers

          void glDrawBuffers(int n,
                           IntBuffer bufs)

      Entry point to C language function: `void glDrawBuffers(GLsizei n, const GLenum * bufs)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_EXT_draw_buffers` `GL_NV_draw_buffers`
      Parameters:
        `bufs` - a direct or array-backed `IntBuffer`

    - #### glDrawBuffers

          void glDrawBuffers(int n,
                           int[] bufs,
                           int bufs_offset)

      Entry point to C language function: `void glDrawBuffers(GLsizei n, const GLenum * bufs)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_EXT_draw_buffers` `GL_NV_draw_buffers`

    - #### glDrawElementsInstanced

          void glDrawElementsInstanced(int mode,
                                     int count,
                                     int type,
                                     long indices_buffer_offset,
                                     int instancecount)

      Entry point to C language function: `void glDrawElementsInstanced(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices, GLsizei instancecount)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_1`; `GL_ARB_draw_instanced`

    - #### glDrawRangeElements

          void glDrawRangeElements(int mode,
                                 int start,
                                 int end,
                                 int count,
                                 int type,
                                 long indices_buffer_offset)

      Entry point to C language function: `void glDrawRangeElements(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid * indices)`
      Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`

    - #### glEndTransformFeedback

          void glEndTransformFeedback()

      Entry point to C language function: `void glEndTransformFeedback(void)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`

    - #### glFramebufferTextureLayer

          void glFramebufferTextureLayer(int target,
                                       int attachment,
                                       int texture,
                                       int level,
                                       int layer)

      Entry point to C language function: `void glFramebufferTextureLayer(GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer)`
      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`

    - #### glGenVertexArrays

          void glGenVertexArrays(int n,
                               IntBuffer arrays)

      Entry point to C language function: `void glGenVertexArrays(GLsizei n, GLuint * arrays)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_vertex_array_object`, `GL_VERSION_3_0`
      Parameters:
        `arrays` - a direct or array-backed `IntBuffer`

    - #### glGenVertexArrays

          void glGenVertexArrays(int n,
                               int[] arrays,
                               int arrays_offset)

      Entry point to C language function: `void glGenVertexArrays(GLsizei n, GLuint * arrays)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_vertex_array_object`, `GL_VERSION_3_0`

    - #### glGetActiveUniformBlockName

          void glGetActiveUniformBlockName(int program,
                                         int uniformBlockIndex,
                                         int bufSize,
                                         IntBuffer length,
                                         ByteBuffer uniformBlockName)

      Entry point to C language function: `void glGetActiveUniformBlockName(GLuint program, GLuint uniformBlockIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformBlockName)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`
        `uniformBlockName` - a direct or array-backed `ByteBuffer`

    - #### glGetActiveUniformBlockName

          void glGetActiveUniformBlockName(int program,
                                         int uniformBlockIndex,
                                         int bufSize,
                                         int[] length,
                                         int length_offset,
                                         byte[] uniformBlockName,
                                         int uniformBlockName_offset)

      Entry point to C language function: `void glGetActiveUniformBlockName(GLuint program, GLuint uniformBlockIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformBlockName)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`

    - #### glGetActiveUniformBlockiv

          void glGetActiveUniformBlockiv(int program,
                                       int uniformBlockIndex,
                                       int pname,
                                       IntBuffer params)

      Entry point to C language function: `void glGetActiveUniformBlockiv(GLuint program, GLuint uniformBlockIndex, GLenum pname, GLint * params)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetActiveUniformBlockiv

          void glGetActiveUniformBlockiv(int program,
                                       int uniformBlockIndex,
                                       int pname,
                                       int[] params,
                                       int params_offset)

      Entry point to C language function: `void glGetActiveUniformBlockiv(GLuint program, GLuint uniformBlockIndex, GLenum pname, GLint * params)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`

    - #### glGetActiveUniformsiv

          void glGetActiveUniformsiv(int program,
                                   int uniformCount,
                                   IntBuffer uniformIndices,
                                   int pname,
                                   IntBuffer params)

      Entry point to C language function: `void glGetActiveUniformsiv(GLuint program, GLsizei uniformCount, const GLuint * uniformIndices, GLenum pname, GLint * params)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      Parameters:
        `uniformIndices` - a direct or array-backed `IntBuffer`
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetActiveUniformsiv

          void glGetActiveUniformsiv(int program,
                                   int uniformCount,
                                   int[] uniformIndices,
                                   int uniformIndices_offset,
                                   int pname,
                                   int[] params,
                                   int params_offset)

      Entry point to C language function: `void glGetActiveUniformsiv(GLuint program, GLsizei uniformCount, const GLuint * uniformIndices, GLenum pname, GLint * params)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`

    - #### glGetFragDataLocation

          int glGetFragDataLocation(int program,
                                  String name)

      Entry point to C language function: `GLint glGetFragDataLocation(GLuint program, const GLchar * name)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`

    - #### glGetIntegeri_v

          void glGetIntegeri_v(int target,
                             int index,
                             IntBuffer data)

      Entry point to C language function: `void glGetIntegeri_v(GLenum target, GLuint index, GLint * data)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      Parameters:
        `data` - a direct or array-backed `IntBuffer`

    - #### glGetIntegeri_v

          void glGetIntegeri_v(int target,
                             int index,
                             int[] data,
                             int data_offset)

      Entry point to C language function: `void glGetIntegeri_v(GLenum target, GLuint index, GLint * data)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`

    - #### glGetInternalformativ

          void glGetInternalformativ(int target,
                                   int internalformat,
                                   int pname,
                                   int bufSize,
                                   IntBuffer params)

      Entry point to C language function: `void glGetInternalformativ(GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint * params)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_internalformat_query`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetInternalformativ

          void glGetInternalformativ(int target,
                                   int internalformat,
                                   int pname,
                                   int bufSize,
                                   int[] params,
                                   int params_offset)

      Entry point to C language function: `void glGetInternalformativ(GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint * params)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_internalformat_query`

    - #### glGetStringi

          String glGetStringi(int name,
                            int index)

      Entry point to C language function: `const GLubyte * glGetStringi(GLenum name, GLuint index)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`

    - #### glGetTransformFeedbackVarying

          void glGetTransformFeedbackVarying(int program,
                                           int index,
                                           int bufSize,
                                           IntBuffer length,
                                           IntBuffer size,
                                           IntBuffer type,
                                           ByteBuffer name)

      Entry point to C language function: `void glGetTransformFeedbackVarying(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`
        `size` - a direct or array-backed `IntBuffer`
        `type` - a direct or array-backed `IntBuffer`
        `name` - a direct or array-backed `ByteBuffer`

    - #### glGetTransformFeedbackVarying

          void glGetTransformFeedbackVarying(int program,
                                           int index,
                                           int bufSize,
                                           int[] length,
                                           int length_offset,
                                           int[] size,
                                           int size_offset,
                                           int[] type,
                                           int type_offset,
                                           byte[] name,
                                           int name_offset)

      Entry point to C language function: `void glGetTransformFeedbackVarying(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`

    - #### glGetUniformBlockIndex

          int glGetUniformBlockIndex(int program,
                                   String uniformBlockName)

      Entry point to C language function: `GLuint glGetUniformBlockIndex(GLuint program, const GLchar * uniformBlockName)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`

    - #### glGetUniformIndices

          void glGetUniformIndices(int program,
                                 int uniformCount,
                                 String[] uniformNames,
                                 IntBuffer uniformIndices)

      Entry point to C language function: `void glGetUniformIndices(GLuint program, GLsizei uniformCount, const GLchar * const * uniformNames, GLuint * uniformIndices)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      Parameters:
        `uniformIndices` - a direct or array-backed `IntBuffer`

    - #### glGetUniformIndices

          void glGetUniformIndices(int program,
                                 int uniformCount,
                                 String[] uniformNames,
                                 int[] uniformIndices,
                                 int uniformIndices_offset)

      Entry point to C language function: `void glGetUniformIndices(GLuint program, GLsizei uniformCount, const GLchar * const * uniformNames, GLuint * uniformIndices)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`

    - #### glGetUniformuiv

          void glGetUniformuiv(int program,
                             int location,
                             IntBuffer params)

      Entry point to C language function: `void glGetUniformuiv(GLuint program, GLint location, GLuint * params)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetUniformuiv

          void glGetUniformuiv(int program,
                             int location,
                             int[] params,
                             int params_offset)

      Entry point to C language function: `void glGetUniformuiv(GLuint program, GLint location, GLuint * params)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`

    - #### glGetVertexAttribIiv

          void glGetVertexAttribIiv(int index,
                                  int pname,
                                  IntBuffer params)

      Entry point to C language function: `void glGetVertexAttribIiv(GLuint index, GLenum pname, GLint * params)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetVertexAttribIiv

          void glGetVertexAttribIiv(int index,
                                  int pname,
                                  int[] params,
                                  int params_offset)

      Entry point to C language function: `void glGetVertexAttribIiv(GLuint index, GLenum pname, GLint * params)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`

    - #### glGetVertexAttribIuiv

          void glGetVertexAttribIuiv(int index,
                                   int pname,
                                   IntBuffer params)

      Entry point to C language function: `void glGetVertexAttribIuiv(GLuint index, GLenum pname, GLuint * params)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetVertexAttribIuiv

          void glGetVertexAttribIuiv(int index,
                                   int pname,
                                   int[] params,
                                   int params_offset)

      Entry point to C language function: `void glGetVertexAttribIuiv(GLuint index, GLenum pname, GLuint * params)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`

    - #### glIsVertexArray

          boolean glIsVertexArray(int array)

      Entry point to C language function: `GLboolean glIsVertexArray(GLuint array)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_vertex_array_object`, `GL_VERSION_3_0`

    - #### glReadBuffer

          void glReadBuffer(int mode)

      Entry point to C language function: `void glReadBuffer(GLenum mode)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`

    - #### glRenderbufferStorageMultisample

          void glRenderbufferStorageMultisample(int target,
                                              int samples,
                                              int internalformat,
                                              int width,
                                              int height)

      Entry point to C language function: `void glRenderbufferStorageMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)`
      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`

    - #### glTransformFeedbackVaryings

          void glTransformFeedbackVaryings(int program,
                                         int count,
                                         String[] varyings,
                                         int bufferMode)

      Entry point to C language function: `void glTransformFeedbackVaryings(GLuint program, GLsizei count, const GLchar * const * varyings, GLenum bufferMode)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`

    - #### glUniform1ui

          void glUniform1ui(int location,
                          int v0)

      Entry point to C language function: `void glUniform1ui(GLint location, GLuint v0)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`

    - #### glUniform1uiv

          void glUniform1uiv(int location,
                           int count,
                           IntBuffer value)

      Entry point to C language function: `void glUniform1uiv(GLint location, GLsizei count, const GLuint * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      Parameters:
        `value` - a direct or array-backed `IntBuffer`

    - #### glUniform1uiv

          void glUniform1uiv(int location,
                           int count,
                           int[] value,
                           int value_offset)

      Entry point to C language function: `void glUniform1uiv(GLint location, GLsizei count, const GLuint * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`

    - #### glUniform2ui

          void glUniform2ui(int location,
                          int v0,
                          int v1)

      Entry point to C language function: `void glUniform2ui(GLint location, GLuint v0, GLuint v1)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`

    - #### glUniform2uiv

          void glUniform2uiv(int location,
                           int count,
                           IntBuffer value)

      Entry point to C language function: `void glUniform2uiv(GLint location, GLsizei count, const GLuint * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      Parameters:
        `value` - a direct or array-backed `IntBuffer`

    - #### glUniform2uiv

          void glUniform2uiv(int location,
                           int count,
                           int[] value,
                           int value_offset)

      Entry point to C language function: `void glUniform2uiv(GLint location, GLsizei count, const GLuint * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`

    - #### glUniform3ui

          void glUniform3ui(int location,
                          int v0,
                          int v1,
                          int v2)

      Entry point to C language function: `void glUniform3ui(GLint location, GLuint v0, GLuint v1, GLuint v2)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`

    - #### glUniform3uiv

          void glUniform3uiv(int location,
                           int count,
                           IntBuffer value)

      Entry point to C language function: `void glUniform3uiv(GLint location, GLsizei count, const GLuint * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      Parameters:
        `value` - a direct or array-backed `IntBuffer`

    - #### glUniform3uiv

          void glUniform3uiv(int location,
                           int count,
                           int[] value,
                           int value_offset)

      Entry point to C language function: `void glUniform3uiv(GLint location, GLsizei count, const GLuint * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`

    - #### glUniform4ui

          void glUniform4ui(int location,
                          int v0,
                          int v1,
                          int v2,
                          int v3)

      Entry point to C language function: `void glUniform4ui(GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`

    - #### glUniform4uiv

          void glUniform4uiv(int location,
                           int count,
                           IntBuffer value)

      Entry point to C language function: `void glUniform4uiv(GLint location, GLsizei count, const GLuint * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      Parameters:
        `value` - a direct or array-backed `IntBuffer`

    - #### glUniform4uiv

          void glUniform4uiv(int location,
                           int count,
                           int[] value,
                           int value_offset)

      Entry point to C language function: `void glUniform4uiv(GLint location, GLsizei count, const GLuint * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`

    - #### glUniformBlockBinding

          void glUniformBlockBinding(int program,
                                   int uniformBlockIndex,
                                   int uniformBlockBinding)

      Entry point to C language function: `void glUniformBlockBinding(GLuint program, GLuint uniformBlockIndex, GLuint uniformBlockBinding)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`

    - #### glUniformMatrix2x3fv

          void glUniformMatrix2x3fv(int location,
                                  int count,
                                  boolean transpose,
                                  FloatBuffer value)

      Entry point to C language function: `void glUniformMatrix2x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glUniformMatrix2x3fv

          void glUniformMatrix2x3fv(int location,
                                  int count,
                                  boolean transpose,
                                  float[] value,
                                  int value_offset)

      Entry point to C language function: `void glUniformMatrix2x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`

    - #### glUniformMatrix2x4fv

          void glUniformMatrix2x4fv(int location,
                                  int count,
                                  boolean transpose,
                                  FloatBuffer value)

      Entry point to C language function: `void glUniformMatrix2x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glUniformMatrix2x4fv

          void glUniformMatrix2x4fv(int location,
                                  int count,
                                  boolean transpose,
                                  float[] value,
                                  int value_offset)

      Entry point to C language function: `void glUniformMatrix2x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`

    - #### glUniformMatrix3x2fv

          void glUniformMatrix3x2fv(int location,
                                  int count,
                                  boolean transpose,
                                  FloatBuffer value)

      Entry point to C language function: `void glUniformMatrix3x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glUniformMatrix3x2fv

          void glUniformMatrix3x2fv(int location,
                                  int count,
                                  boolean transpose,
                                  float[] value,
                                  int value_offset)

      Entry point to C language function: `void glUniformMatrix3x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`

    - #### glUniformMatrix3x4fv

          void glUniformMatrix3x4fv(int location,
                                  int count,
                                  boolean transpose,
                                  FloatBuffer value)

      Entry point to C language function: `void glUniformMatrix3x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glUniformMatrix3x4fv

          void glUniformMatrix3x4fv(int location,
                                  int count,
                                  boolean transpose,
                                  float[] value,
                                  int value_offset)

      Entry point to C language function: `void glUniformMatrix3x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`

    - #### glUniformMatrix4x2fv

          void glUniformMatrix4x2fv(int location,
                                  int count,
                                  boolean transpose,
                                  FloatBuffer value)

      Entry point to C language function: `void glUniformMatrix4x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glUniformMatrix4x2fv

          void glUniformMatrix4x2fv(int location,
                                  int count,
                                  boolean transpose,
                                  float[] value,
                                  int value_offset)

      Entry point to C language function: `void glUniformMatrix4x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`

    - #### glUniformMatrix4x3fv

          void glUniformMatrix4x3fv(int location,
                                  int count,
                                  boolean transpose,
                                  FloatBuffer value)

      Entry point to C language function: `void glUniformMatrix4x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glUniformMatrix4x3fv

          void glUniformMatrix4x3fv(int location,
                                  int count,
                                  boolean transpose,
                                  float[] value,
                                  int value_offset)

      Entry point to C language function: `void glUniformMatrix4x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`

    - #### glVertexAttribI4i

          void glVertexAttribI4i(int index,
                               int x,
                               int y,
                               int z,
                               int w)

      Entry point to C language function: `void glVertexAttribI4i(GLuint index, GLint x, GLint y, GLint z, GLint w)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`

    - #### glVertexAttribI4iv

          void glVertexAttribI4iv(int index,
                                IntBuffer v)

      Entry point to C language function: `void glVertexAttribI4iv(GLuint index, const GLint * v)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      Parameters:
        `v` - a direct or array-backed `IntBuffer`

    - #### glVertexAttribI4iv

          void glVertexAttribI4iv(int index,
                                int[] v,
                                int v_offset)

      Entry point to C language function: `void glVertexAttribI4iv(GLuint index, const GLint * v)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`

    - #### glVertexAttribI4ui

          void glVertexAttribI4ui(int index,
                                int x,
                                int y,
                                int z,
                                int w)

      Entry point to C language function: `void glVertexAttribI4ui(GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`

    - #### glVertexAttribI4uiv

          void glVertexAttribI4uiv(int index,
                                 IntBuffer v)

      Entry point to C language function: `void glVertexAttribI4uiv(GLuint index, const GLuint * v)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`
      Parameters:
        `v` - a direct or array-backed `IntBuffer`

    - #### glVertexAttribI4uiv

          void glVertexAttribI4uiv(int index,
                                 int[] v,
                                 int v_offset)

      Entry point to C language function: `void glVertexAttribI4uiv(GLuint index, const GLuint * v)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`

    - #### glVertexAttribIPointer

          void glVertexAttribIPointer(int index,
                                    int size,
                                    int type,
                                    int stride,
                                    long pointer_buffer_offset)

      Entry point to C language function: `void glVertexAttribIPointer(GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid * pointer)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`

    - #### isPBOPackBound

          boolean isPBOPackBound()

    - #### isPBOUnpackBound

          boolean isPBOUnpackBound()

Copyright 2010 JogAmp Community.